This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1275601 - KeePassX no longer able to erase KDE Plasma clipboard
KeePassX no longer able to erase KDE Plasma clipboard
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
22
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 06:12 EDT by Germano Massullo
Modified: 2016-07-13 09:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-13 09:57:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Germano Massullo 2015-10-27 06:12:31 EDT
Description of problem:
I noticed that on Plasma 5, KeePassX is no longer able to erase klipper data (KDE Plasma's clipboard), so the password rests in clipboard history, with many security risks.

Version-Release number of selected component (if applicable):
keepassx-0.4.3-11.fc22.x86_64
Comment 1 Germano Massullo 2016-07-13 09:57:35 EDT
F23's new KeePassX fixes this problem

Note You need to log in before you can comment on or make changes to this bug.